=== modified file 'Rotated.C'
--- Rotated.C	2001-03-01 22:10:41 +0000
+++ Rotated.C	2003-06-20 14:43:16 +0000
@@ -116,20 +116,27 @@
     /* font needs rotation ... */
     /* loop through each character ... */
     for (ichar = min_char; ichar <= max_char; ichar++) {
+      XCharStruct *charstruct;
 
       index = ichar-fontstruct->min_char_or_byte2;
- 
+
+      if (fontstruct->per_char) {
+	charstruct = &fontstruct->per_char[index];
+      } else {
+	charstruct = &fontstruct->min_bounds;
+      }
+
       /* per char dimensions ... */
       ascent =   rotfont->per_char[ichar].ascent = 
-	fontstruct->per_char[index].ascent;
+	charstruct->ascent;
       descent =  rotfont->per_char[ichar].descent = 
-	fontstruct->per_char[index].descent;
+	charstruct->descent;
       lbearing = rotfont->per_char[ichar].lbearing = 
-	fontstruct->per_char[index].lbearing;
+	charstruct->lbearing;
       rbearing = rotfont->per_char[ichar].rbearing = 
-	fontstruct->per_char[index].rbearing;
+	charstruct->rbearing;
       rotfont->per_char[ichar].width = 
-	fontstruct->per_char[index].width;
+	charstruct->width;
 
       /* some space chars have zero body, but a bitmap can't have ... */
       if (!ascent && !descent)   

=== modified file 'debian/changelog'
--- debian/changelog	2001-03-01 22:10:41 +0000
+++ debian/changelog	2003-06-20 14:43:16 +0000
@@ -1,3 +1,44 @@
+flwm (1.00-5.1) unstable; urgency=low
+
+  * NMU (playing at home the Debcamp BSP).
+  * debian/menu-method:
+     + prerun: Add -depth to ensure we delete the children before the 
+       directory.
+     + Add outputencoding.
+  * debian/postinst, debian/prerm: remove /usr/share/doc transition code.
+  * debian/control: 
+     + Conflicts with menu (<< 2.1.8-1) since menu-methods use $basesection.
+     + In fact Conflicts with menu (<< 2.1.9-1) since menu-methods use 
+       outputencoding.
+     + Build-Depends: Remove '| libfltk-dev' since flwm does not build
+       with libfltk1-dev. Closes: #196400.
+     + Build-Depends: Add libfltk1.1-dev (>= 1.1.3-2.1) to force
+       linkage with libXft.so.2. Closes: #191982.
+     + Build-Depends: In fact, add libfltk1.1-dev (>= 1.1.3+1.1.4rc1-3) to
+       avoid libfltk version where fl_xfont is NULL. Closes: #190389.
+       Thanks Aaron Ucko.
+  * debian/copyright: 
+     + Add new web site URL. Closes: #199435.  Thanks Adrian Bunk.
+     + Change Author(s): to Author: to make lintian happy.
+
+ -- Bill Allombert <ballombe@debian.org>  Fri, 20 Jun 2003 14:43:16 +0200
+
+flwm (1.00-5) unstable; urgency=low
+
+  * Finally, menu has the features needed to support slashes in menu entry
+    titles (see bug#136947). Closes: #120376.
+  * Get rid of the mesag-dev build-dependecy, it seems libfltk now works
+    even without explicit -lGL. Closes: #156336.
+  * Switch to using libfltk1.1, requiring a radical three-letter fix to
+    main.C
+  * Support fonts for which fontstruct->per_char is NULL. Used to segfault
+    when rotating such title fonts.
+  * Clean up description. Closes: #124621.
+  * Remove local variables from debian/changelog.
+  * Make menu-methods not fail when there is no ~/.wmx. Closes: #134900.
+
+ -- Tommi Virtanen <tv@debian.org>  Sat, 19 Apr 2003 22:31:54 +0300
+
 flwm (1.00-4) unstable; urgency=low
 
   * Added xutils to Build-Deps. Closes: #87825.
@@ -138,7 +179,3 @@
 
  -- Tommi Virtanen <tv@debian.org>  Tue,  9 Mar 1999 14:18:03 +0200
 
-Local variables:
-mode: debian-changelog
-add-log-mailing-address: "tv@debian.org"
-End:

=== modified file 'debian/control'
--- debian/control	2001-03-01 22:10:41 +0000
+++ debian/control	2003-06-20 14:43:16 +0000
@@ -3,31 +3,32 @@
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
 Standards-Version: 3.1.1
-Build-Depends: mesag-dev, libfltk1-dev | libfltk-dev, xutils
+Build-Depends: libfltk1.1-dev (>= 1.1.3+1.1.4rc1-3), xutils
 
 Package: flwm
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: menu (>=1.5)
+Suggests: menu 
+Conflicts: menu (<< 2.1.9-1)
 Provides: x-window-manager
 Description: Fast Light Window Manager
  Flwm is an attempt to combine the best ideas from several
  window managers. The primary influence and code base is from
  wm2 by Chris Cannam. Primary features copied from wm2 are:
  .
-  - Does not look like Windoze. 
-  - Nifty sideways titlebars. 
-  - No icons. You deiconize by picking off a pop-up menu. 
-    This means no space is wasted by icons. 
-  - Really small and fast code. 
- .
- It is enhanced by the author's own further nutty ideas: 
- .
-  - Does not use shape extension, more standard resize handles. 
+  - Does not look like Windoze.
+  - Nifty sideways title bars.
+  - No icons. You deiconify by picking off a pop-up menu.
+    This means no space is wasted by icons.
+  - Really small and fast code.
+ .
+ It is enhanced by the author's own further nutty ideas:
+ .
+  - Does not use shape extension, more standard resize handles.
   - Occupies as little screen space as possible. The border and titles
     are as thin as I could possibly make them. And maximized
     windows waste only 15 pixels horizontally and zero (count'em)
-    pixels vertically! 
-  - Independent maximize buttons for width & height, close button. 
-  - Understands Motif, KDE, and Gnome window manager hints. 
-  - Multiple desktops, controlled from the same menu as the icons. 
+    pixels vertically!
+  - Independent maximize buttons for width & height, close button.
+  - Understands Motif, KDE, and Gnome window manager hints.
+  - Multiple desktops, controlled from the same menu as the icons.

=== modified file 'debian/copyright'
--- debian/copyright	2001-03-01 22:10:41 +0000
+++ debian/copyright	2003-06-20 14:43:16 +0000
@@ -2,8 +2,9 @@
 Tue,  9 Mar 1999 14:18:03 +0200.
 
 It was downloaded from http://www.cinenet.net/users/spitzak/flwm/
+The current web site is http://flwm.sourceforge.net/
 
-Upstream Author(s): Bill Spitzak <spitzak@d2.com>
+Upstream Author: Bill Spitzak <spitzak@d2.com>
 
 Copyright:
 

=== modified file 'debian/menu-method'
--- debian/menu-method	2001-03-01 22:10:41 +0000
+++ debian/menu-method	2003-06-20 14:43:16 +0000
@@ -4,9 +4,11 @@
 
 !include menu.h
 
+outputencoding="ISO-8859-1"
+
 # Make menus into directories and entries into files; deal with entries that
 # contain slashes like "Communicator (static/461) Browser"
-genmenu=parent($section) "/" replacewith($title, "/", "_") \
+genmenu=$basesection "/" replacewith($title, "/", "_") \
 	ifelse($command, "", "/")
 
 rootprefix="/etc/X11/flwm/wmx/"
@@ -17,7 +19,7 @@
 preoutput= "#! /bin/sh\n# This file was automatically generated (see /usr/doc/menu).\n# DO NOT EDIT!\n"
 
 # Clean-up files we may have generated in an earlier run first.
-prerun="find " prefix() " -type f -exec grep -q 'DO NOT EDIT' {} \\; -exec rm {} \\; ; find " prefix() " -type d -print0 | xargs -0 rmdir --ignore-fail-on-non-empty"
+prerun="test -d " prefix() " && ( find " prefix() " -type f -exec grep -q 'DO NOT EDIT' {} \\; -exec rm {} \\; ; find " prefix() " -depth -type d -print0 | xargs -0 rmdir --ignore-fail-on-non-empty )"
 
 # And make the generated scripts executable afterwards.
 postrun="find " prefix() " -type f -print0 | xargs -0 chmod a+x"

=== modified file 'debian/postinst'
--- debian/postinst	2001-03-01 22:10:41 +0000
+++ debian/postinst	2003-06-20 14:43:16 +0000
@@ -12,9 +12,6 @@
 	esac
     fi
 
-    if [ -d /usr/doc -a ! -e /usr/doc/flwm -a -d /usr/share/doc/flwm ]; then
-        ln -sf ../share/doc/flwm /usr/doc/flwm
-    fi
 fi
 
 if test -x /usr/sbin/wm-menu-config; then wm-menu-config $wm on;fi

=== modified file 'debian/prerm'
--- debian/prerm	2001-03-01 22:10:41 +0000
+++ debian/prerm	2003-06-20 14:43:16 +0000
@@ -7,7 +7,3 @@
     update-alternatives --remove x-window-manager /usr/bin/flwm
     ;;
 esac
-
-if [ \( "$1" = "upgrade" -o "$1" = "remove" \) -a -L /usr/doc/flwm ]; then
-    rm -f /usr/doc/flwm
-fi

=== modified file 'debian/rules'
--- debian/rules	2001-03-01 22:10:41 +0000
+++ debian/rules	2003-06-20 14:43:16 +0000
@@ -5,7 +5,7 @@
 	test -e debian/control
 	env CXX="g++ -g" ./configure --prefix=/usr --mandir=/usr/share/man
 	# Add here commands to compile the package.
-	$(MAKE) LIBS="-lfltk -lGL"
+	$(MAKE)
 	touch build-stamp
 
 clean:

=== modified file 'main.C'
--- main.C	2001-03-01 22:10:41 +0000
+++ main.C	2003-06-20 14:43:16 +0000
@@ -351,7 +351,7 @@
 }
 
 int main(int argc, char** argv) {
-  program_name = filename_name(argv[0]);
+  program_name = fl_filename_name(argv[0]);
   int i; if (Fl::args(argc, argv, i, arg) < argc) Fl::error(
 "options are:\n"
 " -d[isplay] host:#.#\tX display & screen to use\n"

